/// <reference types="react" />
import { DataFormControl } from "../DataFormControl";
import { IDataDefinition } from "@appglue/common/dist/Common/Data/Definitions/IDataDefinition";
export declare class CheckboxFormControl extends DataFormControl {
    readonly __type: string;
    defaultValue: boolean;
    render(): JSX.Element;
    componentDidMount(): void;
    setDefaultValue(): void;
    getValue(): boolean;
    renderEditUI(): JSX.Element | null;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    getStorageData(): object;
    setStorageData(data: object): void;
    private handleChange;
}
